Skip to content
The API may change between versions while TTX-Zone is 0.x.

Get run meters

GET
/api/v1/ttx/{ttx_id}/run/meters

What the decisions added up to, for the after-action report: for the Controllers and Lead Evaluator. run names a previous run.

run
Any of:
string format: uuid

Successful Response

Media typeapplication/json
Response Get Run Meters Endpoint Api V1 Ttx Ttx Id Run Meters Get
Array<object>
RunMeterGroupRead

The meters of one place: the table, or a room (room_code; null, in rooms: the main room).

object
decisions
required
Decisions
integer
meters
required
Meters
Array<object>
RunMeterRead
object
key
required
Key
string
most
required
Most
integer
name
required
Name
string
total
required
Total
integer
room_code
required
Any of:
string

Example generated

[
{
"decisions": 1,
"meters": [
{
"key": "example",
"most": 1,
"name": "example",
"total": 1
}
],
"room_code": "example"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}